## org.metaabm.function
Interface FGeneric

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FFunction, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  FGenericFunction, FGenericLogical

All Known Implementing Classes:
  FGenericFunctionImpl, FGenericImpl, FGenericLogicalImpl

    public interface FGeneric

extends FFunction, SNamed

Method Summary

Methods inherited from interface org.metaabm.function.FFunction
`accepts, getAvailableTypes, getInputPrototypes, isMultiValue, setMultiValue`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`